---
title: Kontrollstrukturen
description: Folien für Kontrollstrukture in Java
url: https://git.haw-hamburg.de/pm1-tutorium/slides
---

# **Kontrollstrukturen**

## Sequenz
Alle Statements in einem Quelltext werden der Reihe nach ausgeführt.

**Statements** Durch `;` getrennter Quelltext


```java
int x = 10;      //1. Statement
int x = 123 + x; //2. Statement
```

---

## Selektion 
Es wird selektiert welche Statements ausgeführt werden.

### if
```java
int i = 3;
if(i > 5) {
	System.out.printf("i ist größer als 5");
}

```

![bg right:30% 40%](https://git.haw-hamburg.de/pm1-tutorium/slides/-/raw/master/img/if.svg)

--- 

### else 
```java
int i = 3;
if(i > 5) {
	System.out.printf("i ist größer 5");
} else {
	System.out.printf("i ist kleiner oder gleich 5");
}
```
![bg right:30% 80%](https://git.haw-hamburg.de/pm1-tutorium/slides/-/raw/master/img/if-else.svg)

--- 

### else if
```java
int i = 3;
if(i > 5) {
	System.out.printf("i ist größer 5");
} else if(i == 5) {
	System.out.printf("i ist gleich 5");
} else {
	System.out.printf("i ist kleiner 5");
}
```

![bg right:40% 80%](https://git.haw-hamburg.de/pm1-tutorium/slides/-/raw/master/img/if-else-if.svg)

---

### switch

```java
String wochentag = "Samstag";

switch(wochentag) {
	case "Montag": 
	case "Dienstag":
	case "Mittwoch":
	case "Donnerstag":
	case "Freitag":
		System.out.printf("Es ist in der Woche");
		break;	
	case "Samstag":
	case "Sonntag":
		System.out.printf("Es ist Wochenende 🎉");
		break;	
}

```

--- 

## Iteration

	Kontrollstrukturen V1F60
	* Sequenz
	* Selektion V2F81
	* Wiederholung (Iteration)
